<?php
/* ************************** Register general variables ******************************* */
function register_ns_home_general() {
	//register our settings
	register_setting( 'option-general-group', '_wpse_82857' );
	register_setting( 'option-general-group', 'showuploadlogo' );
	register_setting( 'option-general-group', '_wpse_82858' );
	register_setting( 'option-general-group', 'showuploadfavicon' );	
	register_setting( 'option-general-group', 'ns_google_analytics' );
	register_setting( 'option-general-group', 'scrolltotop' );
	register_setting( 'option-general-group', 'removeadminbar' );
	register_setting( 'option-general-group', 'ns_custom_404' );
	register_setting( 'option-general-group', 'custom404' );
	register_setting( 'option-general-group', 'ns_footertext' );
}
add_action( 'admin_init', 'register_ns_home_general' );


/* ************************** Register social variables ******************************* */
function register_ns_home_social() {
	//register our settings
	register_setting( 'option-social-group', 'ns_social_facebook' );
	register_setting( 'option-social-group', 'ns_social_twitter' );
	register_setting( 'option-social-group', 'ns_social_google' );
	register_setting( 'option-social-group', 'ns_social_youtube' );
}
add_action( 'admin_init', 'register_ns_home_social' );


/* ************************** Register color variables ******************************* */
function register_ns_home_color() {
	//register our settings
	register_setting( 'option-color-group', 'ns_theme_style' );
	register_setting( 'option-color-group', 'ns_theme_color' );		
}
add_action( 'admin_init', 'register_ns_home_color' );


/* ************************** Register code variables ******************************* */
function register_ns_home_code() {
	//register our settings
	register_setting( 'option-code-group', 'ns_custom_css' );
	register_setting( 'option-code-group', 'ns_custom_css_mob' );
	register_setting( 'option-code-group', 'ns_custom_js' );
}
add_action( 'admin_init', 'register_ns_home_code' );

/* ************************** Register Archive variables ******************************* */
function register_ns_home_archive() {
	//register our settings
	register_setting( 'option-archive-group', 'showarchivedate' );
	register_setting( 'option-archive-group', 'showarchiveauthor' );
	register_setting( 'option-archive-group', 'showarchivetag' );
	register_setting( 'option-archive-group', 'showarchivecat' );
	register_setting( 'option-archive-group', 'ns_custom_readmore' );
}
add_action( 'admin_init', 'register_ns_home_archive' );

/* ************************** Register Search variables ******************************* */
function register_ns_home_search() {
	//register our settings
	register_setting( 'option-search-group', 'showsearchtitle' );
	register_setting( 'option-search-group', 'ns_custom_search_title' );
	register_setting( 'option-search-group', 'showsearchdate' );
	register_setting( 'option-search-group', 'showsearchauthor' );
	register_setting( 'option-search-group', 'showsearchtag' );
	register_setting( 'option-search-group', 'showsearchcat' );
	register_setting( 'option-search-group', 'ns_custom_readmore_search' );
}
add_action( 'admin_init', 'register_ns_home_search' );

/* ************************** Register Blog variables ******************************* */
function register_ns_home_blog() {
	//register our settings
	register_setting( 'option-blog-group', 'showblogthumb' );
	register_setting( 'option-blog-group', 'showblogdate' );
	register_setting( 'option-blog-group', 'showblogauthor' );
	register_setting( 'option-blog-group', 'showblogtag' );
	register_setting( 'option-blog-group', 'showsblogcat' );
}
add_action( 'admin_init', 'register_ns_home_blog' );


/* ************************** Register Admin variables ******************************* */
function register_ns_home_admin() {
	//register our settings
	register_setting( 'option-admin-group', 'showuploadlogoadmin' );
	register_setting( 'option-admin-group', '_wpse_82861' );

}
add_action( 'admin_init', 'register_ns_home_admin' );

?>