<?php
/*
 This is the main function file
 Author: NS Themes
*/

/* *** include defined costant *** */
require_once('functions/ns_constant.php');

/* *** include the option themes *** */
require_once( NS_FUNCTION_PATH.'/ns_add_menu_page.php');

/* *** include file save option ajax function *** */
require_once( NS_FUNCTION_PATH.'/ns_save_option_ajax.php');

/* *** include the option themes *** */
require_once( NS_FUNCTION_PATH.'/ns_theme_options_variables.php');

/* *** include admin css *** */
require_once( NS_INCLUDES_PATH.'/ns_admin_enqueue_style.php');

/* *** include admin js *** */
require_once( NS_INCLUDES_PATH.'/ns_admin_enqueue_script.php');

/* *** include css *** */
require_once( NS_INCLUDES_PATH.'/ns_enqueue_style.php');

/* *** include js *** */
require_once( NS_INCLUDES_PATH.'/ns_enqueue_script.php');

/* *** include walker *** */
require_once( NS_INCLUDES_PATH.'/class/ns-walker-class.php');
require_once( NS_INCLUDES_PATH.'/class/ns-walker-class-mobile.php');

/* *** include mataboxes *** */
require_once( NS_FUNCTION_PATH.'/metaboxes.php');


/* *** include custom function *** */
require_once( NS_FUNCTION_PATH.'/ns_custom_function.php');


// Support code for WordPress

// Register the nav menu
add_action( 'after_setup_theme', 'wpt_setup' );
    if ( ! function_exists( 'wpt_setup' ) ):
        function wpt_setup() {  
            register_nav_menus( array('primary'    => __( 'Primary navigation', 'nst' ), 
                                     'internal'   => __( 'Internal menu', 'nst' ) 
                                    )
                             );
} endif;


if ( ! isset( $content_width ) ) {
	$content_width = 1170;
}


####################################################################
add_theme_support( 'title-tag' );
add_theme_support( 'custom-background' ); /*requires WP v >= 3.4  */
add_theme_support( 'custom-header' );
add_theme_support( 'post-thumbnails' );
add_editor_style(); 

// Add Automatic Feed Links
add_theme_support( 'automatic-feed-links' );

// Localization Support
load_theme_textdomain( 'nst', get_template_directory() . '/languages' );



####################################################################

/* *** include custom widget *** */
require_once( NS_FUNCTION_PATH.'/ns_custom_widget.php');



/* *** include vc custom button for andeat *** */
require_once( NS_FUNCTION_PATH.'/ns_custom_vc_map_button.php');



/* *** include shortcode *** */
require_once( NS_FUNCTION_PATH.'/shortcode.php');

####################################################################		 
function sample_admin_notice__success() {
    ?>
    <div class="notice notice-success is-dismissible" style="-webkit-box-shadow: 3px 3px 10px 0px rgba(0,0,0,0.75); -moz-box-shadow: 3px 3px 10px 0px rgba(0,0,0,0.75); box-shadow: 3px 3px 10px 0px rgba(0,0,0,0.75);">
        <a href="http://www.nsthemes.com/product/andeat-restaurant-pizza-and-grill-wordpress-theme?utm_source=AndEat%20Free%20banner&utm_medium=banner&utm_content=Banner%20free%20andeat&utm_campaign=Banner%20free%20andeat" target="_blank"><img src="<?php echo NS_IMG_PATH; ?>/theme-option-disable/get-pro.png" style="width: 100%; height: auto; margin-bottom: -5px; margin-top: -1px; margin-left: -12px;"></a>
    </div>
    <?php
}
add_action( 'admin_notices', 'sample_admin_notice__success' );
?>